post
https://api.lucid.co/folders/search
Retrieves information about folders the authenticated user has at least read only access to. Additional filtering parameters may be added.
The ability to use this API to search for all account folders is exclusive to Enterprise Shield accounts.
- Only the account owner or a document admin can grant access to the admin version of this API.
- Admins can search all account folders belonging to the requested user's account.
The list of folders returned depends on whether the request was made using user or admin permissions, sorted by created date.
- User: folders the requesting user has access to and matching search parameters
- Must request with a user grant/scope and either omit the header
Lucid-Request-Asor contain the valueuser.- Admin: folders belonging to the account and matching search parameters
- Must request with an admin grant/scope and contain the header
Lucid-Request-Aswith valueadmin.
This endpoint is paginated. For more information, see Pagination .
This endpoint has a per account rate limit of 300 requests per 5 seconds.
Valid Authentication Methods
API Key Grants:
- FolderReadonly
- FolderAdmin
OAuth 2.0 User Token Scopes:
- folder:readonly
- folder:admin.readonly
- lucidchart.document.app.folder
- lucidspark.document.app.folder
- lucidscale.document.app.folder
400Bad Request.
- The request does not contain a body.
- When using a
document.app.folderscope,appFoldermust be set totrue.
403Forbidden.
- User requests with admin scope and without Lucid-Request-As=admin header.
- User requests without an admin scope and includes Lucid-Request-As=admin header.
- Account does not have access to the API.
- When using a
document.app.folderscope without settingappFoldertotrue.
429Too Many Requests if the account makes more than 300 requests in 5 seconds.